Bug 1135520 - HotRod client keep trying recover a connection to a cluster member after shutdown
Summary: HotRod client keep trying recover a connection to a cluster member after shut...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER2
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On: 1059277
Blocks: 1060199 1075061 1060655
TreeView+ depends on / blocked
 
Reported: 2014-08-29 14:01 UTC by wfink
Modified: 2018-12-06 17:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1059277
Environment:
Last Closed: 2014-09-09 11:38:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1059277 unspecified VERIFIED HotRod client keep trying recover a connection to a cluster member after shutdown 2021-01-20 06:05:38 UTC
Red Hat Issue Tracker ISPN-3942 Critical Resolved HotRod client keep trying recover a connection to a cluster member after shutdown 2017-12-07 06:46:38 UTC

Description wfink 2014-08-29 14:01:20 UTC
If a HotRod client is connected to a server cluster and one of the servers do a correct shutdown, the client keep try to reconnect the server after the cluster view has changed.

From the server-logfile the new cluster view is established

There is no failure from the application perspective, but there there is always a retry if the RoundRobin return the unavailable server.
This might end in a performance or failure issue if there is a larger cluster and a part going out of work for some reason.

Comment 3 Tristan Tarrant 2014-09-03 15:13:23 UTC
This is actually already integrated into 6.3.0

Comment 4 Martin Gencur 2014-09-09 11:20:14 UTC
Setting target ER2 so that we know it's already available and it appears in the  respective query.

Comment 5 Martin Gencur 2014-09-09 11:38:22 UTC
As this was filed against 6.3.0, I'm closing this as NOTABUG. The right fix really made it into 6.3.0.


Note You need to log in before you can comment on or make changes to this bug.